<<<<<<< HEAD
<div class="p-1" style="background: #dde1e6;">
    <form (ngSubmit)="searchButton(formSearch)" #formSearch="ngForm" novalidate="" id="search-class">
        <div  id="filters-class">
            <div class="row d-flex justify-content-start">
                <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3 col-xl-3">
                    <div class="input-group">
                        <div class="input-group-prepend">
                            <button class="btn btn-outline-dark" type="button">
                                <i class="fas fa-user-circle"></i>
                            </button>
                        </div>
                        <input placeholder="Apellido(s)" type="text" tabindex='1' class="form-control" name="apellido" 
                            #box1 appFocus [(ngModel)]="apellido" (change)="onchange('apellido')"
                            (keyup.enter)="searchValue(box1.value, 'nombre', box3.value)">
                    </div>
                </div>
                <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3 col-xl-3">
                    <div class="input-group">
                        <div class="input-group-prepend">
                            <button class="btn btn-outline-dark" type="button">
                                <i class="fas fa-user-circle"></i>
                            </button>
                        </div>
                        <input placeholder="Nombre(s)" type="text" tabindex='2' 
                            class="form-control" name="nombre" #box3
                            [(ngModel)]="nombre" 
                            (change)="onchange('nombre')"
                            (keyup.enter)="searchValue(box1.value, 'nombre', box3.value)">
                    </div>
                </div>
                <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3 col-xl-3">
                    <div class="input-group">
                        <div class="input-group-prepend">
                            <button class="btn btn-outline-dark" type="button">
                                <i class="fas fa-hashtag"></i>
                            </button>
                        </div>
                        <input placeholder="Folio" type="text" tabindex='3' 
                            class="form-control" name="folio" #box5
                            [(ngModel)]="folio" 
                            (change)="onchange('folio')"
                            (keyup.enter)="searchValue(box5.value, 'folio')">
                    </div>
                </div>
                <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3 col-xl-3" *ngIf="activeUrl !== 'reservacion'">
                    <div class="input-group">
                        <div class="input-group-prepend">
                            <button class="btn btn-outline-dark" type="button">
                                <i class="fas fa-bed"></i>
                            </button>
                        </div>
                        <input placeholder="Cuarto" type="text" tabindex='4' 
                            class="form-control" name="cuarto" #box7
                            [(ngModel)]="cuarto"
                            (change)="onchange('cuarto')" 
                            (keyup.enter)="searchValue(box7.value, 'cuarto')">
                    </div>
                </div>

                <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3 col-xl-2">
                    <div class="input-group">
                        <div class="input-group-prepend">
                            <button class="btn btn-outline-dark" type="button">
                                <i class="fas fa-paper-plane"></i>
                            </button>
                        </div>
                        <input placeholder="Agencia" type="text" tabindex='5' class="form-control" name="agencia" #box2
                                [(ngModel)]="agencia" (change)="onchange('agencia')" (keyup.enter)="searchValue(box2.value, 'agencia')">
                    </div>
                </div>

                <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3 col-xl-2">
                    <div class="input-group">
                        <div class="input-group-prepend">
                            <button class="btn btn-outline-dark" type="button">
                                <i class="fas fa-building"></i>
                            </button>
                        </div>
                        <input placeholder="Empresa" type="text" tabindex='6' 
                            class="form-control" name="empresa" #box4
                            [(ngModel)]="empresa" 
                            (change)="onchange('empresa')"
                            (keyup.enter)="searchValue(box4.value, 'empresa')">
                    </div>
                </div>

                <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3 col-xl-2">
                    <div class="input-group">
                        <div class="input-group-prepend">
                            <button class="btn btn-outline-dark" type="button">
                                <i class="fas fa-check-square"></i>
                            </button>
                        </div>
                        <input placeholder="Confirmación" type="text" tabindex='7' 
                            class="form-control" name="conf" #box6
                            [(ngModel)]="conf" 
                            (change)="onchange('conf')"
                            (keyup.enter)="searchValue(box6.value, 'conf')">
                    </div>
                </div>

                <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3 col-xl-2">
                    <div class="input-group">
                        <div class="input-group-prepend">
                            <button class="btn btn-outline-dark" type="button">
                                <i class="fas fa-users"></i>
                            </button>
                        </div>
                        <input placeholder="Grupo" type="text" tabindex='8' 
                            class="form-control" name="Grupo" #box8
                            [(ngModel)]="Grupo" 
                            (change)="onchange('grupo')"
                            (keyup.enter)="searchValue(box8.value, 'Grupo')">
                    </div>
                </div>
                
                <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3 col-xl-2">
                    <div class="input-group">
                        <div class="input-group-prepend">
                            <button class="btn btn-outline-dark" type="button">
                                <i class="fas fa-file-signature"></i>
                            </button>
                        </div>
                        <input placeholder="Contrato" type="text" tabindex='9' 
                            class="form-control" name="Contrato" #box10
                            [(ngModel)]="contrato" 
                            (change)="onchange('contrato')"
                            (keyup.enter)="searchValue(box10.value, 'Contrato')">
                    </div>
                </div>
            </div>
        </div>
        <div class="row-fluid" *ngIf="!loading" id="grid-class">
            <button type="submit" class="btn btn-dark py-2 px-4">
                    <i class="fas fa-search mr-2"></i>Buscar
            </button>
            <button (click)="selectedHuesp()" [disabled]="empty"
                    [ngClass]="{ 'btn-outline-success': empty, 'btn-success': !empty }"
                    type="button" class="btn py-2 px-4 ml-1">
                    <i class="fas fa-check mr-2"></i>Aceptar
            </button>
            <button (click)="onchange()" [disabled]="!formSearch.touched"
                    [ngClass]="{ 'btn-outline-dark': formSearch.touched, 'btn-secondary': !formSearch.touched }"
                    type="button" class="btn float-right">
                    <i class="fas fa-redo-alt fa-lg"></i>
            </button>
            <!-- Grid con el resultado de Reservaciones -->
            <ng-container *ngIf="activeUrl !== 'reservacion'">
                <kendo-grid                     
                    [data]="resultUsers" 
                    [selectable]="true" 
                    [scrollable]="'virtual'"
                    [resizable]="true"
                    [reorderable]="true"
                    (dblclick)="selectedHuesp()"
                    (selectionChange)="selectedRow($event)"
                    class="mt-1 height-grid">
                    <kendo-grid-column field="hfolio"    title="Folio" [width]="100"></kendo-grid-column>
                    <kendo-grid-column field="cuarto"    title="Cuarto" [width]="100"></kendo-grid-column>
                    <kendo-grid-column field="hapellido" title="Apellidos"></kendo-grid-column>
                    <kendo-grid-column field="hnombre"   title="Nombre"></kendo-grid-column>
                    <kendo-grid-column field="heactual"  title="E.A." [width]="70" class="no-padding">
                        <ng-template kendoGridCellTemplate let-dataItem>
                            <span class="whole-cell" [style.backgroundColor]="colorCode(dataItem.heactual)">
                                {{ dataItem.heactual }}
                            </span>
                        </ng-template>
                    </kendo-grid-column>
                    <ng-template kendoGridDetailTemplate let-dataItem>
                        <div class="row" *ngIf="dataItem.hfolio">
                            <p class="col-4"><strong>Agencia:</strong> {{dataItem.Agencia}}</p>
                            <p class="col-3"><strong>Grupo:</strong> {{dataItem.grupo}}</p>
                            <p class="col-3"><strong>Empresa:</strong> {{dataItem.Empresa}}</p>
                            <p class="col-4"><strong>Confirmación:</strong> {{dataItem.hconfirmacion}}</p>
                            <p class="col-3"><strong>VIP:</strong> {{dataItem.VIP}}</p>
                        </div>
                    </ng-template>
                </kendo-grid>
            </ng-container>
            <!-- Grid con el resultado de Huespedes -->
            <ng-container *ngIf="activeUrl === 'reservacion'">
                    <kendo-grid 
                        [data]="resultUsers" 
                        [selectable]="true" 
                        [scrollable]="'virtual'" 
                        (selectionChange)="selectedRow($event)"
                        class="mt-1"  
                        style="height:56vh;">
                        <kendo-grid-column field="rnreser"   title="Reserv"  [width]="100"></kendo-grid-column>
                        <kendo-grid-column field="rapellido" title="Apellidos"></kendo-grid-column>
                        <kendo-grid-column field="rnombre"   title="Nombre"></kendo-grid-column>
                        <kendo-grid-column field="Agencia"   title="Agencia" [width]="120"></kendo-grid-column>
                        <kendo-grid-column field="reactual"  title="E.A."    [width]="70"></kendo-grid-column>
                        <ng-template kendoGridDetailTemplate let-dataItem>
                            <div class="row" *ngIf="dataItem.rnreser">
                                <p class="col-3"><strong>Ciudad:</strong> {{dataItem.rciudad}}</p>
                                <p class="col-3"><strong>Estado:</strong> {{dataItem.estado}}</p>
                                <p class="col-3"><strong>Grupo:</strong> {{dataItem.grupo}}</p>
                                <p class="col-3"><strong>Empresa:</strong> {{dataItem.Empresa}}</p>
                                <p class="col-6"><strong>Confirmación:</strong> {{dataItem.rconfirmacion}}</p>
                            </div>
                        </ng-template>
                    </kendo-grid>
            </ng-container>

        </div>
    </form>
</div>
<div class="text-center pt-5"  *ngIf="loading">
    <span class="k-i-loading k-icon text-danger" style="font-size: 7rem;"></span>
    <h5 class="pt-3 h6 mr-2">Buscando resultados...</h5>
</div>
    
=======
<!-- con ng-content puedes enviar el titulo desde el componente donde se usa app-buscar -->
<ng-content></ng-content>
<form #formSearch="ngForm">
  <div class="row m-1 mt-2">
    <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3 col-xl-2">
      <div class="input-group">
        <div class="input-group-prepend">
          <span class="input-group-text"><i class="fas fa-user-circle"></i></span>
        </div>
        <input placeholder="Apellido(s)" type="text" tabindex='1' class="form-control" name="apellido" #box1 appFocus
          [(ngModel)]="apellido" (change)="onchange('apellido')"
          (keyup.enter)="searchValue(box1.value, 'nombre', box3.value)">
      </div>
    </div>
    <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3 col-xl-2">
      <div class="input-group">
        <div class="input-group-prepend">
          <span class="input-group-text"><i class="fas fa-user-circle"></i></span>
        </div>
        <input placeholder="Nombre(s)" type="text" tabindex='2' class="form-control" name="nombre" #box3
          [(ngModel)]="nombre" (change)="onchange('nombre')"
          (keyup.enter)="searchValue(box1.value, 'nombre', box3.value)">
      </div>
    </div>
    <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3 col-xl-2">
      <div class="input-group">
        <div class="input-group-prepend">
          <span class="input-group-text"><i class="fas fa-hashtag"></i></span>
        </div>
        <input placeholder="Folio" type="text" tabindex='3' class="form-control" name="folio" #box5 [(ngModel)]="folio"
          (change)="onchange('folio')" (keyup.enter)="searchValue(box5.value, 'folio')">
      </div>
    </div>
    <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3 col-xl-2" *ngIf="uso === 'H'">
      <div class="input-group">
        <div class="input-group-prepend">
          <span class="input-group-text"><i class="fas fa-bed"></i></span>
        </div>
        <input placeholder="Habitación" type="text" tabindex='4' class="form-control" name="cuarto" #box7
          [(ngModel)]="cuarto" (change)="onchange('cuarto')" (keyup.enter)="searchValue(box7.value, 'cuarto')">
      </div>
    </div>
    <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3 col-xl-2">
      <div class="input-group">
        <div class="input-group-prepend">
          <span class="input-group-text"><i class="fas fa-paper-plane"></i></span>
        </div>
        <input placeholder="Agencia" type="text" tabindex='5' class="form-control" name="agencia" #box2
          [(ngModel)]="agencia" (change)="onchange('agencia')" (keyup.enter)="searchValue(box2.value, 'agencia')">
      </div>
    </div>
    <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3 col-xl-2">
      <div class="input-group">
        <div class="input-group-prepend">
          <span class="input-group-text"><i class="fas fa-building"></i></span>
        </div>
        <input placeholder="Empresa" type="text" tabindex='6' class="form-control" name="empresa" #box4
          [(ngModel)]="empresa" (change)="onchange('empresa')" (keyup.enter)="searchValue(box4.value, 'empresa')">
      </div>
    </div>
    <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3 col-xl-2">
      <div class="input-group">
        <div class="input-group-prepend">
          <span class="input-group-text"><i class="fas fa-check-square"></i></span>
        </div>
        <input placeholder="Confirmación" type="text" tabindex='7' class="form-control" name="conf" #box6
          [(ngModel)]="conf" (change)="onchange('conf')" (keyup.enter)="searchValue(box6.value, 'conf')">
      </div>
    </div>
    <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3 col-xl-2">
      <div class="input-group">
        <div class="input-group-prepend">
          <span class="input-group-text"><i class="fas fa-users"></i></span>
        </div>
        <input placeholder="Grupo" type="text" tabindex='8' class="form-control" name="Grupo" #box8 [(ngModel)]="Grupo"
          (change)="onchange('grupo')" (keyup.enter)="searchValue(box8.value, 'grupo')">
      </div>
    </div>
    <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3 col-xl-2">
      <div class="input-group">
        <div class="input-group-prepend">
          <span class="input-group-text"><i class="fas fa-file-signature"></i></span>
        </div>
        <input placeholder="Contrato" type="text" tabindex='9' class="form-control" name="Contrato" #box10
          [(ngModel)]="contrato" (change)="onchange('contrato')" (keyup.enter)="searchValue(box10.value, 'contrato')">
      </div>
    </div>
    <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3 col-xl-2">
      <div class="input-group">
        <div class="input-group-prepend">
          <span class="input-group-text"><i class="fas fa-at"></i></span>
        </div>
        <input placeholder="Email" type="text" tabindex='10' class="form-control" name="email" #box11
          [(ngModel)]="email" (change)="onchange('email')" (keyup.enter)="searchValue(box11.value, 'email')">
      </div>
    </div>
    <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3 col-xl-2">
      <div class="input-group">
        <div class="input-group-prepend">
          <span class="input-group-text"><i class="fas fa-portrait"></i></span>
        </div>
        <input placeholder="# Cliente" type="text" tabindex='11' class="form-control" name="cliente" #box12
          [(ngModel)]="cliente" (change)="onchange('cliente')" (keyup.enter)="searchValue(box12.value, 'cliente')">
      </div>
    </div>
  </div>
  <div class="row-fluid mx-1" *ngIf="!loading" id="grid-class">
    <button class="btn btn-primary py-2 px-4" (click)="searchButton(formSearch.value)">
      <i class="fas fa-search mr-2"></i>Buscar
    </button>
    <button (click)="selectedHuesp()" [disabled]="empty"
      [ngClass]="{ 'btn-outline-success': empty, 'btn-success': !empty }" class="btn py-2 px-4 ml-1">
      <i class="fas fa-check mr-2"></i>Aceptar
    </button>
    <button (click)="onchange()" [disabled]="!formSearch.touched"
      [ngClass]="{ 'btn-outline-secondary': formSearch.touched, 'btn-secondary': !formSearch.touched }"
      class="btn float-right">
      <i class="fas fa-redo-alt fa-lg"></i>
    </button>
  </div>
</form>
<!-- Grid con el resultado de Huesped -->
<ng-container *ngIf="uso === 'H' && !loading">
  <kendo-grid [kendoGridBinding]="resultUsers" filterable="menu" [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}"
    [skip]="0" [pageSize]="10" [selectable]="true" [resizable]="true" [sortable]="true" [reorderable]="true"
    (dblclick)="selectedHuesp()" (selectionChange)="selectRow($event)" style="height: 50vh;" class="mt-1">
    <ng-container *ngIf="resultUsers.length !== 0">
      <kendo-grid-column field="hfolio" title="Folio" [width]="130" class="text-right"></kendo-grid-column>
      <kendo-grid-column field="cuarto" title="Habitación" [width]="140"></kendo-grid-column>
      <kendo-grid-column field="hapellido" title="Apellidos" [width]="180"></kendo-grid-column>
      <kendo-grid-column field="hnombre" title="Nombre" [width]="180"></kendo-grid-column>
      <kendo-grid-column field="Agencia" title="Agencia" [width]="120">
        <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
          let-filterService="filterService">
          <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
            [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
          </multicheck-filter>
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="grupo" title="Grupo" [width]="120">
        <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
          let-filterService="filterService">
          <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
            [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
          </multicheck-filter>
        </ng-template>
      </kendo-grid-column>
      <!-- <kendo-grid-column field="htmov" title="T.M." [width]="120"></kendo-grid-column> -->
      <kendo-grid-column field="VIP" title="VIP" [width]="120">
        <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
          let-filterService="filterService">
          <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
            [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
          </multicheck-filter>
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="heactual" title="E.A." class="no-padding" [width]="120">
        <ng-template kendoGridCellTemplate let-dataItem>
          <span class="whole-cell" [style.backgroundColor]="colorCode(dataItem.heactual)">
            {{ dataItem.heactual }}
          </span>
        </ng-template>
        <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
          let-filterService="filterService">
          <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
            [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
          </multicheck-filter>
        </ng-template>
      </kendo-grid-column>
      <ng-template kendoGridDetailTemplate let-dataItem>
        <div class="row" *ngIf="dataItem.hfolio">
          <p class="col-3"><strong>Ciudad:</strong> {{dataItem.hciudad}}</p>
          <p class="col-3"><strong>Estado:</strong> {{dataItem.estado}}</p>
          <p class="col-3"><strong>Empresa:</strong> {{dataItem.Empresa}}</p>
          <p class="col-3"><strong>Confirmación:</strong> {{dataItem.hconfirmacion}}</p>
          <p class="col-3"><strong>Contrato:</strong> {{dataItem.Contrato}}</p>
          <p class="col-3"><strong>Email:</strong> {{dataItem.hemail}}</p>
          <p class="col-3"><strong>Cliente:</strong> {{dataItem.ncte}}</p>
        </div>
      </ng-template>
    </ng-container>
    <ng-template kendoGridNoRecordsTemplate>
      {{ norecords }}
    </ng-template>
  </kendo-grid>
</ng-container>

<!-- Grid con el resultado de Reservaciones -->
<ng-container *ngIf="uso === 'R' && !loading">
  <kendo-grid [kendoGridBinding]="resultUsers" [skip]="0" filterable="menu"
    [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" [pageSize]="10" [selectable]="true" [resizable]="true"
    [sortable]="true" [reorderable]="true" (selectionChange)="selectRow($event)" style="height: 50vh;" class="mt-1">
    <ng-container *ngIf="resultUsers.length !== 0">
      <kendo-grid-column field="rnreser" title="Rsrv." [width]="130" class="text-right"></kendo-grid-column>
      <kendo-grid-column field="rapellido" title="Apellidos" [width]="180"></kendo-grid-column>
      <kendo-grid-column field="rnombre" title="Nombre" [width]="180"></kendo-grid-column>
      <kendo-grid-column field="Agencia" title="Agencia">
        <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
          let-filterService="filterService">
          <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
            [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
          </multicheck-filter>
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="grupo" title="Grupo">
        <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
          let-filterService="filterService">
          <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
            [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
          </multicheck-filter>
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="rtmov" title="T.M." width="120">
        <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
          let-filterService="filterService">
          <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
            [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
          </multicheck-filter>
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="VIP" title="VIP" width="120">
        <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
          let-filterService="filterService">
          <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
            [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
          </multicheck-filter>
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="reactual" title="E.A." width="120">
        <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
          let-filterService="filterService">
          <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
            [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
          </multicheck-filter>
        </ng-template>
      </kendo-grid-column>
      <ng-template kendoGridDetailTemplate let-dataItem>
        <div class="row" *ngIf="dataItem.rnreser">
          <p class="col-3"><strong>Ciudad:</strong> {{dataItem.rciudad}}</p>
          <p class="col-3"><strong>Estado:</strong> {{dataItem.estado}}</p>
          <p class="col-3"><strong>Empresa:</strong> {{dataItem.Empresa}}</p>
          <p class="col-3"><strong>Confirmación:</strong> {{dataItem.rconfirmacion}}</p>
          <p class="col-3"><strong>Contrato:</strong> {{dataItem.Contrato}}</p>
          <p class="col-3"><strong>Email:</strong> {{dataItem.remail}}</p>
          <p class="col-3"><strong>Cliente:</strong> {{dataItem.ncte}}</p>
        </div>
      </ng-template>
    </ng-container>
    <ng-template kendoGridNoRecordsTemplate>
      {{ norecords }}
    </ng-template>
  </kendo-grid>
</ng-container>

<app-loading *ngIf="loading">
  Buscando resultados...
</app-loading>
>>>>>>> dev-alberto
